<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="Projets-INFO4 / 19-20 / 21 / docs" property="og:title">
<meta content="Plate-forme gitlab pour la communauté ESR grenobloise" property="og:description">
<meta content="https://gricad-gitlab.univ-grenoble-alpes.fr/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="og:image">
<meta content="64" property="og:image:width">
<meta content="64" property="og:image:height">
<meta content="https://gricad-gitlab.univ-grenoble-alpes.fr/Projets-INFO4/19-20/21/docs" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="Projets-INFO4 / 19-20 / 21 / docs" property="twitter:title">
<meta content="Plate-forme gitlab pour la communauté ESR grenobloise" property="twitter:description">
<meta content="https://gricad-gitlab.univ-grenoble-alpes.fr/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="twitter:image">

<title>Projets-INFO4 / 19-20 / 21 / docs · GitLab</title>
<meta content="Plate-forme gitlab pour la communauté ESR grenobloise" name="description">
<link rel="shortcut icon" type="image/png" href="/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" id="favicon" data-original-href="/assets/favicon-7901bd695fb93edb07975966062049829afb56cf11511236e61bcf425070e36e.png" />
<link rel="stylesheet" media="all" href="/assets/application-4a081f9e3a60a0e580cad484d66fbf5a1505ad313280e96728729069f87f856e.css" />
<link rel="stylesheet" media="print" href="/assets/print-74c3df10dad473d66660c828e3aa54ca3bfeac6d8bb708643331403fe7211e60.css" />


<link rel="stylesheet" media="all" href="/assets/highlight/themes/white-3144068cf4f603d290f553b653926358ddcd02493b9728f62417682657fc58c0.css" />
<script>
//<![CDATA[
window.gon={};gon.api_version="v4";gon.default_avatar_url="https://gricad-gitlab.univ-grenoble-alpes.fr/assets/no_avatar-849f9c04a3a0d0cea2424ae97b27447dc64a7dbfae83c036c45b403392f0e8ba.png";gon.max_file_size=10;gon.asset_host=null;gon.webpack_public_path="/assets/webpack/";gon.relative_url_root="";gon.shortcuts_path="/help/shortcuts";gon.user_color_scheme="white";gon.gitlab_url="https://gricad-gitlab.univ-grenoble-alpes.fr";gon.revision="d18b43a5f5a";gon.gitlab_logo="/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png";gon.sprite_icons="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg";gon.sprite_file_icons="/assets/file_icons-7262fc6897e02f1ceaf8de43dc33afa5e4f9a2067f4f68ef77dcc87946575e9e.svg";gon.emoji_sprites_css_path="/assets/emoji_sprites-289eccffb1183c188b630297431be837765d9ff4aed6130cf738586fb307c170.css";gon.test_env=false;gon.disable_animations=null;gon.suggested_label_colors={"#0033CC":"UA blue","#428BCA":"Moderate blue","#44AD8E":"Lime green","#A8D695":"Feijoa","#5CB85C":"Slightly desaturated green","#69D100":"Bright green","#004E00":"Very dark lime green","#34495E":"Very dark desaturated blue","#7F8C8D":"Dark grayish cyan","#A295D6":"Slightly desaturated blue","#5843AD":"Dark moderate blue","#8E44AD":"Dark moderate violet","#FFECDB":"Very pale orange","#AD4363":"Dark moderate pink","#D10069":"Strong pink","#CC0033":"Strong red","#FF0000":"Pure red","#D9534F":"Soft red","#D1D100":"Strong yellow","#F0AD4E":"Soft orange","#AD8D43":"Dark moderate orange"};gon.first_day_of_week=0;gon.ee=false;gon.current_user_id=2648;gon.current_username="rivalga";gon.current_user_fullname="Gaetan Rival";gon.current_user_avatar_url="https://secure.gravatar.com/avatar/20aa17256540ebb2e633749687afd563?s=80\u0026d=identicon";gon.features={"snippetsVue":false,"monacoSnippets":false,"monacoBlobs":false,"monacoCi":false};
//]]>
</script>


<script src="/assets/webpack/runtime.f97c5e2d.bundle.js" defer="defer"></script>
<script src="/assets/webpack/main.e4cc9ed0.chunk.js" defer="defer"></script>
<script src="/assets/webpack/commons~pages.admin.clusters~pages.admin.clusters.destroy~pages.admin.clusters.edit~pages.admin.clus~2b7477a2.982dd72b.chunk.js" defer="defer"></script>
<script src="/assets/webpack/commons~pages.groups.milestones.edit~pages.groups.milestones.new~pages.projects.blame.show~pages.pro~d3e579ac.9edca571.chunk.js" defer="defer"></script>
<script src="/assets/webpack/pages.projects.show.2c627b44.chunk.js" defer="defer"></script>
<script>
//<![CDATA[
window.uploads_path = "/Projets-INFO4/19-20/21/docs/uploads";



//]]>
</script>
<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="yPH8qp/D4b08tKqqSbcwOc2hibT9tdoogFaismlF5dKtAcJlbcYrIzAjhLHfUXWbeURIn0c3xezccl9elXB4FA==" />

<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">
<link rel="alternate" type="application/atom+xml" title="docs activity" href="/Projets-INFO4/19-20/21/docs.atom?feed_token=vLTE-qj7Jb3eCjogwqCb" />




</head>

<body class="ui-indigo tab-width-8  gl-browser-firefox gl-platform-linux" data-find-file="/Projets-INFO4/19-20/21/docs/-/find_file/master" data-group="" data-namespace-id="5689" data-page="projects:show" data-page-type-id="docs" data-project="docs" data-project-id="6049">

<script>
//<![CDATA[
gl = window.gl || {};
gl.client = {"isFirefox":true,"isLinux":true};


//]]>
</script>


<header class="navbar navbar-gitlab navbar-expand-sm js-navbar" data-qa-selector="navbar">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<div class="title-container">
<h1 class="title">
<a title="Dashboard" id="logo" href="/"><img class="brand-header-logo lazy" data-src="/uploads/-/system/appearance/header_logo/1/logo_gricad_gitlab.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
</a></h1>
<ul class="list-unstyled navbar-sub-nav">
<li id="nav-projects-dropdown" class="home dropdown header-projects qa-projects-dropdown" data-track-label="projects_dropdown" data-track-event="click_dropdown" data-track-value=""><button class="btn" data-toggle="dropdown" type="button">
Projects
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</button>
<div class="dropdown-menu frequent-items-dropdown-menu">
<div class="frequent-items-dropdown-container">
<div class="frequent-items-dropdown-sidebar qa-projects-dropdown-sidebar">
<ul>
<li class=""><a class="qa-your-projects-link" href="/dashboard/projects">Your projects
</a></li><li class=""><a href="/dashboard/projects/starred">Starred projects
</a></li><li class=""><a href="/explore">Explore projects
</a></li></ul>
</div>
<div class="frequent-items-dropdown-content">
<div data-project-id="6049" data-project-name="docs" data-project-namespace="Projets-INFO4 / 19-20 / 21 / docs" data-project-web-url="/Projets-INFO4/19-20/21/docs" data-user-name="rivalga" id="js-projects-dropdown"></div>
</div>
</div>

</div>
</li><li id="nav-groups-dropdown" class="d-none d-md-block home dropdown header-groups qa-groups-dropdown" data-track-label="groups_dropdown" data-track-event="click_dropdown" data-track-value=""><button class="btn" data-toggle="dropdown" type="button">
Groups
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</button>
<div class="dropdown-menu frequent-items-dropdown-menu">
<div class="frequent-items-dropdown-container">
<div class="frequent-items-dropdown-sidebar qa-groups-dropdown-sidebar">
<ul>
<li class=""><a class="qa-your-groups-link" href="/dashboard/groups">Your groups
</a></li><li class=""><a href="/explore/groups">Explore groups
</a></li></ul>
</div>
<div class="frequent-items-dropdown-content">
<div data-user-name="rivalga" id="js-groups-dropdown"></div>
</div>
</div>

</div>
</li><li class="header-more dropdown">
<a data-qa-selector="more_dropdown" data-toggle="dropdown" href="#">
More
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</a>
<div class="dropdown-menu">
<ul>
<li class="d-md-none">
<a href="/dashboard/groups">Groups
</a></li>
<li class=""><a href="/dashboard/activity">Activity
</a></li><li class=""><a class="dashboard-shortcuts-milestones" href="/dashboard/milestones">Milestones
</a></li><li class=""><a class="dashboard-shortcuts-snippets" data-qa-selector="snippets_link" href="/dashboard/snippets">Snippets
</a></li><li class=""><a class="d-xl-none" href="/-/instance_statistics">Analytics
</a></li>
<li class="dropdown">

</li>
</ul>
</div>
</li>
<li class="d-none d-xl-block"><a class="chart-icon" title="Analytics" aria-label="Analytics" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/-/instance_statistics"><svg class="s18"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chart"></use></svg>
</a></li>
<li class="hidden">
<a class="dashboard-shortcuts-projects" href="/dashboard/projects">Projects
</a></li>

</ul>

</div>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="header-new dropdown" data-track-event="click_dropdown" data-track-label="new_dropdown" data-track-value="">
<a class="header-new-dropdown-toggle has-tooltip qa-new-menu-toggle" id="js-onboarding-new-project-link" title="New..." ref="tooltip" aria-label="New..." data-toggle="dropdown" data-placement="bottom" data-container="body" data-display="static" href="/projects/new"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square"></use></svg>
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li class="dropdown-bold-header">
This project
</li>
<li><a href="/Projets-INFO4/19-20/21/docs/issues/new">New issue</a></li>
<li><a href="/Projets-INFO4/19-20/21/docs/-/merge_requests/new">New merge request</a></li>
<li><a href="/Projets-INFO4/19-20/21/docs/snippets/new">New snippet</a></li>
<li class="divider"></li>
<li class="dropdown-bold-header">GitLab</li>
<li><a class="qa-global-new-snippet-link" href="/snippets/new">New snippet</a></li>
</ul>
</div>
</li>

<li class="nav-item d-none d-lg-block m-auto">
<div class="search search-form" data-track-event="activate_form_input" data-track-label="navbar_search" data-track-value="">
<form class="form-inline" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search or jump to…" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-issues-path="/dashboard/issues" data-mr-path="/dashboard/merge_requests" data-qa-selector="search_term_field" aria-label="Search or jump to…" />
<button class="hidden js-dropdown-search-toggle" data-toggle="dropdown" type="button"></button>
<div class="dropdown-menu dropdown-select js-dashboard-search-options">
<div class="dropdown-content"><ul>
<li class="dropdown-menu-empty-item">
<a>
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
<svg class="s16 search-icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#search"></use></svg>
<svg class="s16 clear-icon js-clear-input"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#close"></use></svg>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="6049" class="js-search-project-options" data-project-path="docs" data-name="docs" data-issues-path="/Projets-INFO4/19-20/21/docs/issues" data-mr-path="/Projets-INFO4/19-20/21/docs/-/merge_requests" data-issues-disabled="false" />
<input type="hidden" name="search_code" id="search_code" value="true" />
<input type="hidden" name="repository_ref" id="repository_ref" value="master" />
<input type="hidden" name="nav_source" id="nav_source" value="navbar" />
<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete" data-autocomplete-project-id="6049" data-autocomplete-project-ref="master"></div>
</form></div>

</li>
<li class="nav-item d-inline-block d-lg-none">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search?project_id=6049"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#search"></use></svg>
</a></li>
<li class="user-counter"><a title="Issues" class="dashboard-shortcuts-issues" aria-label="Issues" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/dashboard/issues?assignee_username=rivalga"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#issues"></use></svg>
<span class="badge badge-pill green-badge hidden issues-count">
0
</span>
</a></li><li class="user-counter"><a title="Merge requests" class="dashboard-shortcuts-merge_requests" aria-label="Merge requests" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/dashboard/merge_requests?assignee_username=rivalga"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#git-merge"></use></svg>
<span class="badge badge-pill hidden merge-requests-count">
0
</span>
</a></li><li class="user-counter"><a title="To-Do List" aria-label="To-Do List" class="shortcuts-todos" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/dashboard/todos"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#todo-done"></use></svg>
<span class="badge badge-pill hidden todos-count">
0
</span>
</a></li><li class="nav-item header-help dropdown d-none d-md-block">
<a class="header-help-dropdown-toggle" data-toggle="dropdown" href="/help"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#question"></use></svg>
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li>
<a href="/help">Help</a>
</li>
<li>
<a href="https://docs.gricad-pages.univ-grenoble-alpes.fr/help/">Support</a>
</li>
<li>
<button class="js-shortcuts-modal-trigger" type="button">
Keyboard shortcuts
<span aria-hidden class="text-secondary float-right">?</span>
</button>
</li>

<li class="divider"></li>
<li>
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li>
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>
</li>

</ul>

</div>
</li>
<li class="dropdown header-user nav-item" data-qa-selector="user_menu" data-track-event="click_dropdown" data-track-label="profile_dropdown" data-track-value="">
<a class="header-user-dropdown-toggle" data-toggle="dropdown" href="/rivalga"><img width="23" height="23" class="header-user-avatar qa-user-avatar lazy" data-src="https://secure.gravatar.com/avatar/20aa17256540ebb2e633749687afd563?s=46&amp;d=identicon" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
<svg class="caret-down"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li class="current-user">
<div class="user-name bold">
Gaetan Rival
</div>
@rivalga
</li>
<li class="divider"></li>
<li>
<div class="js-set-status-modal-trigger" data-has-status="false"></div>
</li>
<li>
<a class="profile-link" data-user="rivalga" href="/rivalga">Profile</a>
</li>
<li>
<a data-qa-selector="settings_link" href="/profile">Settings</a>
</li>
<li class="divider d-md-none"></li>
<li class="d-md-none">
<a href="/help">Help</a>
</li>
<li class="d-md-none">
<a href="https://docs.gricad-pages.univ-grenoble-alpes.fr/help/">Support</a>
</li>

<li class="d-md-none">
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li class="d-md-none">
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>
</li>

<li class="divider"></li>
<li>
<a class="sign-out-link" data-qa-selector="sign_out_link" rel="nofollow" data-method="post" href="/users/sign_out">Sign out</a>
</li>
</ul>

</div>
</li>
</ul>
</div>
<button class="navbar-toggler d-block d-sm-none" type="button">
<span class="sr-only">Toggle navigation</span>
<svg class="s12 more-icon js-navbar-toggle-right"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#ellipsis_h"></use></svg>
<svg class="s12 close-icon js-navbar-toggle-left"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#close"></use></svg>
</button>
</div>
</div>
</header>
<div class="js-set-status-modal-wrapper" data-current-emoji="" data-current-message=""></div>

<div class="layout-page page-with-contextual-sidebar">
<div class="nav-sidebar">
<div class="nav-sidebar-inner-scroll">
<div class="context-header">
<a title="docs" href="/Projets-INFO4/19-20/21/docs"><div class="avatar-container rect-avatar s40 project-avatar">
<div class="avatar s40 avatar-tile identicon bg2">D</div>
</div>
<div class="sidebar-context-title">
docs
</div>
</a></div>
<ul class="sidebar-top-level-items qa-project-sidebar">
<li class="home active"><a class="shortcuts-project rspec-project-link" data-qa-selector="project_link" href="/Projets-INFO4/19-20/21/docs"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#home"></use></svg>
</div>
<span class="nav-item-name">
Project overview
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item active"><a href="/Projets-INFO4/19-20/21/docs"><strong class="fly-out-top-item-name">
Project overview
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class="active"><a title="Project details" class="shortcuts-project" href="/Projets-INFO4/19-20/21/docs"><span>Details</span>
</a></li><li class=""><a title="Activity" class="shortcuts-project-activity" data-qa-selector="activity_link" href="/Projets-INFO4/19-20/21/docs/activity"><span>Activity</span>
</a></li><li class=""><a title="Releases" class="shortcuts-project-releases" href="/Projets-INFO4/19-20/21/docs/-/releases"><span>Releases</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-tree qa-project-menu-repo" href="/Projets-INFO4/19-20/21/docs/-/tree/master"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#doc-text"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-repo-link">
Repository
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/-/tree/master"><strong class="fly-out-top-item-name">
Repository
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a href="/Projets-INFO4/19-20/21/docs/-/tree/master">Files
</a></li><li class=""><a id="js-onboarding-commits-link" href="/Projets-INFO4/19-20/21/docs/-/commits/master">Commits
</a></li><li class=""><a class="qa-branches-link" id="js-onboarding-branches-link" href="/Projets-INFO4/19-20/21/docs/-/branches">Branches
</a></li><li class=""><a href="/Projets-INFO4/19-20/21/docs/-/tags">Tags
</a></li><li class=""><a href="/Projets-INFO4/19-20/21/docs/-/graphs/master">Contributors
</a></li><li class=""><a href="/Projets-INFO4/19-20/21/docs/-/network/master">Graph
</a></li><li class=""><a href="/Projets-INFO4/19-20/21/docs/-/compare?from=master&amp;to=master">Compare
</a></li>
</ul>
</li><li class=""><a class="shortcuts-issues qa-issues-item" href="/Projets-INFO4/19-20/21/docs/issues"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#issues"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-issues-link">
Issues
</span>
<span class="badge badge-pill count issue_counter">
0
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/issues"><strong class="fly-out-top-item-name">
Issues
</strong>
<span class="badge badge-pill count issue_counter fly-out-badge">
0
</span>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Issues" href="/Projets-INFO4/19-20/21/docs/issues"><span>
List
</span>
</a></li><li class=""><a title="Boards" data-qa-selector="issue_boards_link" href="/Projets-INFO4/19-20/21/docs/-/boards"><span>
Boards
</span>
</a></li><li class=""><a title="Labels" class="qa-labels-link" href="/Projets-INFO4/19-20/21/docs/-/labels"><span>
Labels
</span>
</a></li>
<li class=""><a title="Milestones" class="qa-milestones-link" href="/Projets-INFO4/19-20/21/docs/-/milestones"><span>
Milestones
</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-merge_requests" data-qa-selector="merge_requests_link" href="/Projets-INFO4/19-20/21/docs/-/merge_requests"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#git-merge"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-mr-link">
Merge Requests
</span>
<span class="badge badge-pill count merge_counter js-merge-counter">
0
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/-/merge_requests"><strong class="fly-out-top-item-name">
Merge Requests
</strong>
<span class="badge badge-pill count merge_counter js-merge-counter fly-out-badge">
0
</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-pipelines qa-link-pipelines rspec-link-pipelines" data-qa-selector="ci_cd_link" href="/Projets-INFO4/19-20/21/docs/pipelines"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#rocket"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-pipelines-link">
CI / CD
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/pipelines"><strong class="fly-out-top-item-name">
CI / CD
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Pipelines" class="shortcuts-pipelines" href="/Projets-INFO4/19-20/21/docs/pipelines"><span>
Pipelines
</span>
</a></li><li class=""><a title="Jobs" class="shortcuts-builds" href="/Projets-INFO4/19-20/21/docs/-/jobs"><span>
Jobs
</span>
</a></li><li class=""><a title="Schedules" class="shortcuts-builds" href="/Projets-INFO4/19-20/21/docs/pipeline_schedules"><span>
Schedules
</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-operations qa-link-operations" href="/Projets-INFO4/19-20/21/docs/-/environments/metrics"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#cloud-gear"></use></svg>
</div>
<span class="nav-item-name">
Operations
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/-/environments/metrics"><strong class="fly-out-top-item-name">
Operations
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Metrics" class="shortcuts-metrics" data-qa-selector="operations_metrics_link" href="/Projets-INFO4/19-20/21/docs/-/environments/metrics"><span>
Metrics
</span>
</a></li>
<li class=""><a title="Environments" class="shortcuts-environments qa-operations-environments-link" href="/Projets-INFO4/19-20/21/docs/-/environments"><span>
Environments
</span>
</a></li><li class=""><a title="Error Tracking" class="shortcuts-tracking qa-operations-tracking-link" href="/Projets-INFO4/19-20/21/docs/-/error_tracking"><span>
Error Tracking
</span>
</a></li><li class=""><a title="Serverless" href="/Projets-INFO4/19-20/21/docs/-/serverless/functions"><span>
Serverless
</span>
</a></li>
<li class=""><a title="Kubernetes" class="shortcuts-kubernetes" href="/Projets-INFO4/19-20/21/docs/-/clusters"><span>
Kubernetes
</span>
<div class="feature-highlight js-feature-highlight" data-container="body" data-dismiss-endpoint="/-/user_callouts" data-highlight="gke_cluster_integration" data-placement="right" data-toggle="popover" data-trigger="manual" disabled></div>
</a><div class="feature-highlight-popover-content">
<img class="feature-highlight-illustration" alt="Kubernetes popover" src="/assets/illustrations/cluster_popover-889b8203a86c86d1fd3f0b181e588071d00cd9c77590fd87dba4d19035e1c0df.svg" />
<div class="feature-highlight-popover-sub-content">
<p>Allows you to add and manage Kubernetes clusters.</p>
<p>
Protip:
<a href="/help/topics/autodevops/index.md">Auto DevOps</a>
<span>uses Kubernetes clusters to deploy your code!</span>
</p>
<hr>
<button class="btn btn-success btn-sm dismiss-feature-highlight" type="button">
<span>Got it!</span>
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#thumb-up"></use></svg>
</button>
</div>
</div>
</li>
</ul>
</li>
<li class=""><a href="/Projets-INFO4/19-20/21/docs/pipelines/charts"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chart"></use></svg>
</div>
<span class="nav-item-name" data-qa-selector="analytics_link">
Analytics
</span>
</a><ul class="sidebar-sub-level-items" data-qa-selector="analytics_sidebar_submenu">
<li class=""><a title="CI / CD Analytics" href="/Projets-INFO4/19-20/21/docs/pipelines/charts"><span>CI / CD Analytics</span>
</a></li><li class=""><a class="shortcuts-repository-charts" title="Repository Analytics" href="/Projets-INFO4/19-20/21/docs/-/graphs/master/charts"><span>Repository Analytics</span>
</a></li><li class=""><a class="shortcuts-project-cycle-analytics" title="Value Stream Analytics" href="/Projets-INFO4/19-20/21/docs/-/value_stream_analytics"><span>Value Stream Analytics</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-wiki" data-qa-selector="wiki_link" href="/Projets-INFO4/19-20/21/docs/-/wikis/home"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#book"></use></svg>
</div>
<span class="nav-item-name">
Wiki
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/-/wikis/home"><strong class="fly-out-top-item-name">
Wiki
</strong>
</a></li></ul>
</li><li class=""><a class="shortcuts-snippets" href="/Projets-INFO4/19-20/21/docs/snippets"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#snippet"></use></svg>
</div>
<span class="nav-item-name">
Snippets
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/snippets"><strong class="fly-out-top-item-name">
Snippets
</strong>
</a></li></ul>
</li><li class=""><a class="shortcuts-tree" href="/Projets-INFO4/19-20/21/docs/edit"><div class="nav-icon-container">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#settings"></use></svg>
</div>
<span class="nav-item-name qa-settings-item" id="js-onboarding-settings-link">
Settings
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/Projets-INFO4/19-20/21/docs/edit"><strong class="fly-out-top-item-name">
Settings
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="General" class="qa-general-settings-link" href="/Projets-INFO4/19-20/21/docs/edit"><span>
General
</span>
</a></li><li class=""><a title="Members" class="qa-link-members-settings" id="js-onboarding-settings-members-link" href="/Projets-INFO4/19-20/21/docs/-/project_members"><span>
Members
</span>
</a></li><li class=""><a title="Integrations" data-qa-selector="integrations_settings_link" href="/Projets-INFO4/19-20/21/docs/-/settings/integrations"><span>
Integrations
</span>
</a></li><li class=""><a title="Repository" href="/Projets-INFO4/19-20/21/docs/-/settings/repository"><span>
Repository
</span>
</a></li><li class=""><a title="CI / CD" href="/Projets-INFO4/19-20/21/docs/-/settings/ci_cd"><span>
CI / CD
</span>
</a></li><li class=""><a title="Operations" href="/Projets-INFO4/19-20/21/docs/-/settings/operations">Operations
</a></li><li class=""><a title="Pages" href="/Projets-INFO4/19-20/21/docs/pages"><span>
Pages
</span>
</a></li>
</ul>
</li><a class="toggle-sidebar-button js-toggle-sidebar qa-toggle-sidebar rspec-toggle-sidebar" role="button" title="Toggle sidebar" type="button">
<svg class="icon-angle-double-left"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-double-left"></use></svg>
<svg class="icon-angle-double-right"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-double-right"></use></svg>
<span class="collapse-text">Collapse sidebar</span>
</a>
<button name="button" type="button" class="close-nav-button"><svg class="s16"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#close"></use></svg>
<span class="collapse-text">Close sidebar</span>
</button>
<li class="hidden">
<a title="Activity" class="shortcuts-project-activity" href="/Projets-INFO4/19-20/21/docs/activity"><span>
Activity
</span>
</a></li>
<li class="hidden">
<a title="Network" class="shortcuts-network" href="/Projets-INFO4/19-20/21/docs/-/network/master">Graph
</a></li>
<li class="hidden">
<a class="shortcuts-new-issue" href="/Projets-INFO4/19-20/21/docs/issues/new">Create a new issue
</a></li>
<li class="hidden">
<a title="Jobs" class="shortcuts-builds" href="/Projets-INFO4/19-20/21/docs/-/jobs">Jobs
</a></li>
<li class="hidden">
<a title="Commits" class="shortcuts-commits" href="/Projets-INFO4/19-20/21/docs/-/commits/master">Commits
</a></li>
<li class="hidden">
<a title="Issue Boards" class="shortcuts-issue-boards" href="/Projets-INFO4/19-20/21/docs/-/boards">Issue Boards</a>
</li>
</ul>
</div>
</div>

<div class="content-wrapper">

<div class="mobile-overlay"></div>
<div class="alert-wrapper">














<nav class="breadcrumbs container-fluid container-limited limit-container-width" role="navigation">
<div class="breadcrumbs-container">
<button name="button" type="button" class="toggle-mobile-nav"><span class="sr-only">Open sidebar</span>
<i aria-hidden="true" data-hidden="true" class="fa fa-bars"></i>
</button><div class="breadcrumbs-links js-title-container">
<ul class="list-unstyled breadcrumbs-list js-breadcrumbs-list">
<li><a class="group-path breadcrumb-item-text js-breadcrumb-item-text " href="/Projets-INFO4">Projets-INFO4</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-right"></use></svg></li><li class="dropdown">
<button aria-label="Show parent subgroups" class="text-expander has-tooltip js-breadcrumbs-collapsed-expander" data-container="body" data-toggle="dropdown" title="Show parent subgroups" type="button">
<i aria-hidden="true" data-hidden="true" class="fa fa-ellipsis-h"></i>
</button>
<svg class="s8 breadcrumbs-list-angle"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-right"></use></svg>
<div class="dropdown-menu">
<ul>
<li style="text-indent: 0px;"><a class="group-path  js-breadcrumb-item-text " href="/Projets-INFO4/19-20"><div class="avatar-tile identicon bg2">1</div>19-20</a></li>
</ul>
</div>
</li>
<li><a class="group-path breadcrumb-item-text js-breadcrumb-item-text " href="/Projets-INFO4/19-20/21">21</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-right"></use></svg></li> <li><a href="/Projets-INFO4/19-20/21/docs"><span class="breadcrumb-item-text js-breadcrumb-item-text">docs</span></a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#angle-right"></use></svg></li>

<li>
<h2 class="breadcrumbs-sub-title"><a href="/Projets-INFO4/19-20/21/docs">Details</a></h2>
</li>
</ul>
</div>

</div>
</nav>

<div class="d-flex"></div>
</div>
<div class="container-fluid container-limited limit-container-width">
<div class="content" id="content-body">
<div class="flash-container flash-container-page sticky">
</div>


<div class="limit-container-width">

<div class="js-show-on-project-root project-home-panel">
<div class="row append-bottom-8">
<div class="home-panel-title-row col-md-12 col-lg-6 d-flex">
<div class="avatar-container rect-avatar s64 home-panel-avatar append-right-default float-none">
<div class="avatar avatar-tile s64 identicon bg2">D</div>
</div>
<div class="d-flex flex-column flex-wrap align-items-baseline">
<div class="d-inline-flex align-items-baseline">
<h1 class="home-panel-title prepend-top-8 append-bottom-5" data-qa-selector="project_name_content">
docs
<span class="visibility-icon text-secondary prepend-left-4 has-tooltip" data-container="body" title="Public - The project can be accessed without any authentication.">
<i aria-hidden="true" data-hidden="true" class="fa fa-globe icon"></i>
</span>
</h1>
</div>
<div class="home-panel-metadata d-flex flex-wrap text-secondary">
<span class="text-secondary">
Project ID: 6049
</span>
<span class="access-request-links prepend-left-8">

</span>
</div>
</div>
</div>
<div class="project-repo-buttons col-md-12 col-lg-6 d-inline-flex flex-wrap justify-content-lg-end">
<div class="d-inline-flex">
<div class="js-notification-dropdown notification-dropdown home-panel-action-button prepend-top-default append-right-8 dropdown inline">
<form class="inline notification-form no-label" id="new_notification_setting" action="/notification_settings" accept-charset="UTF-8" data-remote="true" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="project_id" id="project_id" value="6049" />
<input type="hidden" name="hide_label" id="hide_label" value="true" />
<input class="notification_setting_level" type="hidden" value="global" name="notification_setting[level]" id="notification_setting_level" />
<div class="js-notification-toggle-btns">
<div class="">
<button aria-label="Notification setting - Global" class="btn btn-default btn-xs dropdown-new has-tooltip notifications-btn" data-container="body" data-flip="false" data-placement="top" data-target="dropdown-2648-6049-Project" data-toggle="dropdown" id="notifications-button" title="Notification setting - Global" type="button">
<svg class="icon notifications-icon js-notifications-icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#notifications"></use></svg>
<span class="js-notification-loading fa hidden"></span>
<svg class="icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chevron-down"></use></svg>
</button>
<ul class="dropdown-2648-6049-Project dropdown-menu dropdown-menu-large dropdown-menu-no-wrap dropdown-menu-selectable" role="menu">
<li role="menuitem"><a class="update-notification is-active" data-notification-level="global" data-notification-title="Global" href="#"><strong class="dropdown-menu-inner-title">Global</strong><span class="dropdown-menu-inner-content">Use your global notification setting</span></a></li>
<li role="menuitem"><a class="update-notification " data-notification-level="watch" data-notification-title="Watch" href="#"><strong class="dropdown-menu-inner-title">Watch</strong><span class="dropdown-menu-inner-content">You will receive notifications for any activity</span></a></li>
<li role="menuitem"><a class="update-notification " data-notification-level="participating" data-notification-title="Participate" href="#"><strong class="dropdown-menu-inner-title">Participate</strong><span class="dropdown-menu-inner-content">You will only receive notifications for threads you have participated in</span></a></li>
<li role="menuitem"><a class="update-notification " data-notification-level="mention" data-notification-title="On mention" href="#"><strong class="dropdown-menu-inner-title">On mention</strong><span class="dropdown-menu-inner-content">You will receive notifications only for comments in which you were @mentioned</span></a></li>
<li role="menuitem"><a class="update-notification " data-notification-level="disabled" data-notification-title="Disabled" href="#"><strong class="dropdown-menu-inner-title">Disabled</strong><span class="dropdown-menu-inner-content">You will not get any notifications via email</span></a></li>
<li class="divider"></li>
<li>
<a class="update-notification" data-notification-level="custom" data-notification-title="Custom" data-target="#modal-2648-6049-Project" data-toggle="modal" href="#" role="button">
<strong class="dropdown-menu-inner-title">Custom</strong>
<span class="dropdown-menu-inner-content">You will only receive notifications for the events you choose</span>
</a>
</li>
</ul>

</div>
</div>
</form></div>

</div>
<div class="count-buttons d-inline-flex">
<div class="count-badge d-inline-flex align-item-stretch append-right-8">
<button class="count-badge-button btn btn-default btn-xs d-flex align-items-center star-btn toggle-star" data-endpoint="/Projets-INFO4/19-20/21/docs/toggle_star.json" type="button">
<svg class="icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#star-o"></use></svg>
<span>Star</span>
</button>
<span class="star-count count-badge-count d-flex align-items-center">
<a title="Starrers" class="count" href="/Projets-INFO4/19-20/21/docs/-/starrers">0
</a></span>
</div>

<div class="count-badge d-inline-flex align-item-stretch append-right-8">
<a class="btn btn-default btn-xs has-tooltip count-badge-button d-flex align-items-center fork-btn " href="/Projets-INFO4/19-20/21/docs/-/forks/new"><svg class="icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#fork"></use></svg>
<span>Fork</span>
</a><span class="fork-count count-badge-count d-flex align-items-center">
<a title="Forks" class="count" href="/Projets-INFO4/19-20/21/docs/-/forks">0
</a></span>
</div>

</div>
</div>
</div>
<nav class="project-stats">
<div class="nav-links quick-links">
<ul class="nav">
<li class="nav-item">
<a class="nav-link stat-link d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/commits/master"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#commit"></use></svg><strong class="project-stat-value">17</strong> Commits</a></li>
<li class="nav-item">
<a class="nav-link stat-link d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/branches"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#branch"></use></svg><strong class="project-stat-value">1</strong> Branch</a></li>
<li class="nav-item">
<a class="nav-link stat-link d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/tags"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#label"></use></svg><strong class="project-stat-value">0</strong> Tags</a></li>
<li class="nav-item">
<a class="nav-link stat-link d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/tree/master"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#doc-code"></use></svg><strong class="project-stat-value">256 KB</strong> Files</a></li>
</ul>

</div>
</nav>
<div class="home-panel-home-desc mt-1">

</div>
</div>




<section class="js-autodevops-banner gl-banner" data-project-path="/Projets-INFO4/19-20/21/docs" data-uid="auto_devops_settings_dismissed">
<div class="gl-banner-illustration">
<img data-src="/assets/illustrations/autodevops-6fd02d1b414e4f942928cb526eabbe9740ed1ad1bb93bbb1f60e29336c55087a.svg" class="lazy" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
</div>
<div class="gl-banner-content">
<h1 class="gl-banner-title">Auto DevOps</h1>
<p>It will automatically build, test, and deploy your application based on a predefined CI/CD configuration.</p>
<p>
Learn more in the <a target="_blank" rel="noopener noreferrer" href="/help/topics/autodevops/index.md">Auto DevOps documentation</a>
</p>
<a class="btn btn-md new-gl-button js-close-callout" href="/Projets-INFO4/19-20/21/docs/-/settings/ci_cd#autodevops-settings">Enable in settings</a>
</div>
<button aria-label="Dismiss Auto DevOps box" class="gl-banner-close close js-close-callout" type="button">
<i aria-hidden="true" class="fa fa-times dismiss-icon"></i>
</button>
</section>

<div class="project-show-files">
<div class="tree-holder clearfix" id="tree-holder">
<div class="nav-block">
<div class="tree-ref-container">
<div class="tree-ref-holder">
<form class="project-refs-form" action="/Projets-INFO4/19-20/21/docs/-/refs/switch" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="destination" id="destination" value="tree" />
<input type="hidden" name="path" id="path" value="" />
<div class="dropdown">
<button class="dropdown-menu-toggle js-project-refs-dropdown qa-branches-select" type="button" data-toggle="dropdown" data-selected="master" data-ref="master" data-refs-url="/Projets-INFO4/19-20/21/docs/refs?sort=updated_desc" data-field-name="ref" data-submit-form-on-click="true" data-visit="true"><span class="dropdown-toggle-text ">master</span><i aria-hidden="true" data-hidden="true" class="fa fa-chevron-down"></i></button>
<div class="dropdown-menu dropdown-menu-paging dropdown-menu-selectable git-revision-dropdown qa-branches-dropdown">
<div class="dropdown-page-one">
<div class="dropdown-title"><span>Switch branch/tag</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div>
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search branches and tags" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content"></div>
<div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
</div>
</div>
</form>
</div>
<div data-can-collaborate="true" data-can-edit-tree="true" data-fork-new-blob-path="/Projets-INFO4/19-20/21/docs/-/forks?continue%5Bnotice%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+has+been+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.&amp;continue%5Bnotice_now%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+is+being+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.&amp;continue%5Bto%5D=%2FProjets-INFO4%2F19-20%2F21%2Fdocs%2F-%2Fnew%2Fmaster&amp;namespace_key=3322" data-fork-new-directory-path="/Projets-INFO4/19-20/21/docs/-/forks?continue%5Bnotice%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+has+been+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.+Try+to+create+a+new+directory+again.&amp;continue%5Bnotice_now%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+is+being+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.&amp;continue%5Bto%5D=%2FProjets-INFO4%2F19-20%2F21%2Fdocs&amp;namespace_key=3322" data-fork-upload-blob-path="/Projets-INFO4/19-20/21/docs/-/forks?continue%5Bnotice%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+has+been+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.+Try+to+upload+a+file+again.&amp;continue%5Bnotice_now%5D=You%27re+not+allowed+to+make+changes+to+this+project+directly.+A+fork+of+this+project+is+being+created+that+you+can+make+changes+in%2C+so+you+can+submit+a+merge+request.&amp;continue%5Bto%5D=%2FProjets-INFO4%2F19-20%2F21%2Fdocs&amp;namespace_key=3322" data-new-blob-path="/Projets-INFO4/19-20/21/docs/-/new/master" data-new-branch-path="/Projets-INFO4/19-20/21/docs/-/branches/new" data-new-dir-path="/Projets-INFO4/19-20/21/docs/-/create_dir/master" data-new-tag-path="/Projets-INFO4/19-20/21/docs/-/tags/new" data-upload-path="/Projets-INFO4/19-20/21/docs/-/create/master" id="js-repo-breadcrumb"></div>
</div>
<div class="gl-font-size-0 tree-controls"><div class="d-inline-block" data-history-link="/Projets-INFO4/19-20/21/docs/-/commits/master" id="js-tree-history-link"></div>
<a class="btn shortcuts-find-file" rel="nofollow" href="/Projets-INFO4/19-20/21/docs/-/find_file/master"><i aria-hidden="true" data-hidden="true" class="fa fa-search"></i>
<span>Find file</span>
</a><div class="d-inline-block" id="js-tree-web-ide-link"></div>
<div class="project-action-button dropdown inline">
<button aria-label="Download" class="btn has-tooltip" data-qa-selector="download_source_code_button" data-display="static" data-toggle="dropdown" title="Download">
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#download"></use></svg>
<span class="sr-only">Select Archive Format</span>
<svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chevron-down"></use></svg>
</button>
<div class="dropdown-menu dropdown-menu-right" role="menu">
<section>
<h5 class="m-0 dropdown-bold-header">Download source code</h5>
<div class="dropdown-menu-content">
<div class="btn-group ml-0 w-100">
<a rel="nofollow" download="" class="btn btn-xs btn-primary" href="/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.zip">zip</a>
<a rel="nofollow" download="" class="btn btn-xs " href="/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar.gz">tar.gz</a>
<a rel="nofollow" download="" class="btn btn-xs " href="/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar.bz2">tar.bz2</a>
<a rel="nofollow" download="" class="btn btn-xs " href="/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar">tar</a>
</div>

</div>
</section>
<div data-links="[{&quot;text&quot;:&quot;zip&quot;,&quot;path&quot;:&quot;/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.zip&quot;},{&quot;text&quot;:&quot;tar.gz&quot;,&quot;path&quot;:&quot;/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar.gz&quot;},{&quot;text&quot;:&quot;tar.bz2&quot;,&quot;path&quot;:&quot;/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar.bz2&quot;},{&quot;text&quot;:&quot;tar&quot;,&quot;path&quot;:&quot;/Projets-INFO4/19-20/21/docs/-/archive/master/docs-master.tar&quot;}]" id="js-directory-downloads"></div>
</div>
</div><div class="project-clone-holder d-block d-md-none mt-sm-2 mt-md-0">
<div class="btn-group mobile-git-clone js-mobile-git-clone btn-block">
<button class="btn btn-primary flex-fill bold justify-content-center input-group-text clone-dropdown-btn js-clone-dropdown-label" data-toggle="tooltip" data-placement="bottom" data-container="body" data-button-text="Copy SSH clone URL" data-hide-button-icon="true" data-class="btn-primary flex-fill bold justify-content-center input-group-text clone-dropdown-btn js-clone-dropdown-label" data-clipboard-text="git@gricad-gitlab.univ-grenoble-alpes.fr:Projets-INFO4/19-20/21/docs.git" type="button" title="Copy" aria-label="Copy">Copy SSH clone URL</button>
<button class="btn btn-primary dropdown-toggle js-dropdown-toggle flex-grow-0 d-flex-center w-auto ml-0" data-toggle="dropdown" type="button">
<svg class="dropdown-btn-icon icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chevron-down"></use></svg>
</button>
<ul class="dropdown-menu dropdown-menu-selectable dropdown-menu-right clone-options-dropdown" data-dropdown>
<li>
<a class="copy ssh clone url-selector is-active" href="git@gricad-gitlab.univ-grenoble-alpes.fr:Projets-INFO4/19-20/21/docs.git" data-clone-type="ssh"><strong class="dropdown-menu-inner-title">Copy SSH clone URL</strong><span class="dropdown-menu-inner-content">git@gricad-gitlab.univ-grenoble-alpes.fr:Projets-INFO4/19-20/21/docs.git</span></a>
</li>
<li>
<a class="copy https clone url-selector " href="https://gricad-gitlab.univ-grenoble-alpes.fr/Projets-INFO4/19-20/21/docs.git" data-clone-type="http"><strong class="dropdown-menu-inner-title">Copy HTTPS clone URL</strong><span class="dropdown-menu-inner-content">https://gricad-gitlab.univ-grenoble-alpes.fr/Projets-INFO4/19-20/21/docs.git</span></a>
</li>

</ul>
</div>

</div><div class="project-clone-holder d-none d-md-inline-block">
<div class="git-clone-holder js-git-clone-holder">
<a class="btn btn-primary clone-dropdown-btn qa-clone-dropdown" data-toggle="dropdown" href="#" id="clone-dropdown">
<span class="append-right-4 js-clone-dropdown-label">
Clone
</span>
<svg class="icon"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#chevron-down"></use></svg>
</a>
<ul class="clone-options-dropdown dropdown-menu dropdown-menu-large dropdown-menu-right dropdown-menu-selectable p-3 qa-clone-options">
<li>
<label class="label-bold">
Clone with SSH
</label>
<div class="input-group">
<input type="text" name="ssh_project_clone" id="ssh_project_clone" value="git@gricad-gitlab.univ-grenoble-alpes.fr:Projets-INFO4/19-20/21/docs.git" class="js-select-on-focus form-control qa-ssh-clone-url" readonly="readonly" aria-label="Project clone URL" />
<div class="input-group-append">
<button class="btn input-group-text btn-default btn-clipboard" data-toggle="tooltip" data-placement="bottom" data-container="body" data-title="Copy URL" data-class="input-group-text btn-default btn-clipboard" data-clipboard-target="#ssh_project_clone" type="button" title="Copy URL" aria-label="Copy URL"><svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#copy-to-clipboard"></use></svg></button>

</div>
</div>
</li>
<li class="pt-2">
<label class="label-bold">
Clone with HTTPS
</label>
<div class="input-group">
<input type="text" name="http_project_clone" id="http_project_clone" value="https://gricad-gitlab.univ-grenoble-alpes.fr/Projets-INFO4/19-20/21/docs.git" class="js-select-on-focus form-control qa-http-clone-url" readonly="readonly" aria-label="Project clone URL" />
<div class="input-group-append">
<button class="btn input-group-text btn-default btn-clipboard" data-toggle="tooltip" data-placement="bottom" data-container="body" data-title="Copy URL" data-class="input-group-text btn-default btn-clipboard" data-clipboard-target="#http_project_clone" type="button" title="Copy URL" aria-label="Copy URL"><svg><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#copy-to-clipboard"></use></svg></button>

</div>
</div>
</li>

</ul>
</div>

</div></div>

</div>
<div id="js-last-commit"></div>
<div class="append-bottom-default js-show-on-project-root project-buttons">
<ul class="nav">
<li class="nav-item">
<a class="nav-link btn btn-default d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/blob/master/README.md"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#doc-text"></use></svg>README</a></li>
<li class="nav-item">
<a class="nav-link btn btn-missing d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/new/master?commit_message=Add+LICENSE&amp;file_name=LICENSE"><span class="add-license-link d-flex"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square-o"></use></svg>Add LICENSE</span></a></li>
<li class="nav-item">
<a class="nav-link btn btn-missing d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/new/master?commit_message=Add+CHANGELOG&amp;file_name=CHANGELOG"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square-o"></use></svg>Add CHANGELOG</a></li>
<li class="nav-item">
<a class="nav-link btn btn-missing d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/new/master?commit_message=Add+CONTRIBUTING&amp;file_name=CONTRIBUTING.md"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square-o"></use></svg>Add CONTRIBUTING</a></li>
<li class="nav-item">
<a class="nav-link btn btn-missing d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/clusters/new"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square-o"></use></svg>Add Kubernetes cluster</a></li>
<li class="nav-item">
<a class="nav-link btn btn-missing d-flex align-items-center" href="/Projets-INFO4/19-20/21/docs/-/new/master?commit_message=Add+.gitlab-ci.yml&amp;file_name=.gitlab-ci.yml"><svg class="s16 icon append-right-4"><use xlink:href="/assets/icons-2206b8b510dd8a2edccabbd872bdecb67fa80554b54d351d80c5b056d048670e.svg#plus-square-o"></use></svg>Set up CI/CD</a></li>
</ul>

</div>
<div data-full-name="Projets-INFO4 / 19-20 / 21 / docs" data-project-path="Projets-INFO4/19-20/21/docs" data-project-short-path="docs" data-ref="master" id="js-tree-list"></div>
<div class="modal" id="modal-upload-blob">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<h3 class="page-title">Upload New File</h3>
<button aria-label="Close" class="close" data-dismiss="modal" type="button">
<span aria-hidden>&times;</span>
</button>
</div>
<div class="modal-body">
<form class="js-quick-submit js-upload-blob-form" data-method="post" action="/Projets-INFO4/19-20/21/docs/-/create/master" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="authenticity_token" value="LOIcyLDvuXyOdNmtY7tkKXEkQoaoEgvuKLZH9Xxsc3hJEiIHQupz4oLj97b1XSGLxcGDrRKQFCp0kroZgFnuvg==" /><div class="dropzone">
<div class="dropzone-previews blob-upload-dropzone-previews">
<p class="dz-message light">
Attach a file by drag &amp; drop or <a class="markdown-selector" href="#">click to upload</a>
</p>
</div>
</div>
<br>
<div class="dropzone-alerts alert alert-danger data" style="display:none"></div>
<div class="form-group row commit_message-group">
<label class="col-form-label col-sm-2" for="commit_message-dc544d02d2ae7145327f44f83860595b">Commit message
</label><div class="col-sm-10">
<div class="commit-message-container">
<div class="max-width-marker"></div>
<textarea name="commit_message" id="commit_message-dc544d02d2ae7145327f44f83860595b" class="form-control js-commit-message" placeholder="Upload New File" required="required" rows="3">
Upload New File</textarea>
</div>
</div>
</div>

<div class="form-group row branch">
<label class="col-form-label col-sm-2" for="branch_name">Target Branch</label>
<div class="col-sm-10">
<input type="text" name="branch_name" id="branch_name" value="master" required="required" class="form-control js-branch-name ref-name" />
<div class="js-create-merge-request-container">
<div class="form-check prepend-top-8">
<input type="checkbox" name="create_merge_request" id="create_merge_request-cbb626e08a0bb293d569c17286d0c7f5" value="1" class="js-create-merge-request form-check-input" checked="checked" />
<label class="form-check-label" for="create_merge_request-cbb626e08a0bb293d569c17286d0c7f5">Start a <strong>new merge request</strong> with these changes
</label></div>

</div>
</div>
</div>
<input type="hidden" name="original_branch" id="original_branch" value="master" class="js-original-branch" />

<div class="form-actions">
<button name="button" type="button" class="btn btn-success btn-upload-file" id="submit-all"><i aria-hidden="true" data-hidden="true" class="fa fa-spin fa-spinner js-loading-icon hidden"></i>
Upload file
</button><a class="btn btn-cancel" data-dismiss="modal" href="#">Cancel</a>

</div>
</form></div>
</div>
</div>
</div>

<div class="modal" id="modal-create-new-dir">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<h3 class="page-title">Create New Directory</h3>
<button aria-label="Close" class="close" data-dismiss="modal" type="button">
<span aria-hidden>&times;</span>
</button>
</div>
<div class="modal-body">
<form class="js-create-dir-form js-quick-submit js-requires-input" action="/Projets-INFO4/19-20/21/docs/-/create_dir/master" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="authenticity_token" value="WVP2EqParC7Q153lRRtkDRLh8S5EF6DWAzs7z1sPcVs8o8jdUd9msNxAs/7T/SGvpgQwBf6VvxJfH8YjpzrsnQ==" /><div class="form-group row">
<label class="col-form-label col-sm-2" for="dir_name">Directory name</label>
<div class="col-sm-10">
<input type="text" name="dir_name" id="dir_name" required="required" class="form-control" />
</div>
</div>
<div class="form-group row commit_message-group">
<label class="col-form-label col-sm-2" for="commit_message-e66463a9940b4460c467e45d563bf63a">Commit message
</label><div class="col-sm-10">
<div class="commit-message-container">
<div class="max-width-marker"></div>
<textarea name="commit_message" id="commit_message-e66463a9940b4460c467e45d563bf63a" class="form-control js-commit-message" placeholder="Add new directory" required="required" rows="3">
Add new directory</textarea>
</div>
</div>
</div>

<div class="form-group row branch">
<label class="col-form-label col-sm-2" for="branch_name">Target Branch</label>
<div class="col-sm-10">
<input type="text" name="branch_name" id="branch_name" value="master" required="required" class="form-control js-branch-name ref-name" />
<div class="js-create-merge-request-container">
<div class="form-check prepend-top-8">
<input type="checkbox" name="create_merge_request" id="create_merge_request-bae9453fad7d397561deba816643d6a7" value="1" class="js-create-merge-request form-check-input" checked="checked" />
<label class="form-check-label" for="create_merge_request-bae9453fad7d397561deba816643d6a7">Start a <strong>new merge request</strong> with these changes
</label></div>

</div>
</div>
</div>
<input type="hidden" name="original_branch" id="original_branch" value="master" class="js-original-branch" />

<div class="form-actions">
<input type="submit" name="commit" value="Create directory" class="btn btn-success" data-disable-with="Create directory" />
<a class="btn btn-cancel" data-dismiss="modal" href="#">Cancel</a>

</div>
</form></div>
</div>
</div>
</div>

</div>

</div>
</div>

</div>
</div>
</div>
</div>



<div aria-labelledby="custom-notifications-title" class="modal fade" id="modal-2648-6049-Project" role="dialog" tabindex="-1">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h4 class="modal-title" id="custom-notifications-title">
Custom notification events
</h4>
<button aria-label="Close" class="close" data-dismiss="modal" type="button">
<span aria-hidden>&times;</span>
</button>
</div>
<div class="modal-body">
<div class="container-fluid">
<form class="custom-notifications-form" id="new_notification_setting" action="/notification_settings" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="authenticity_token" value="yriM10pOsU/S0iklSPI48wQb/w888TR76qBsbA6oj8ivSLIYuEt70d5FBz7eFH1RsP4+JIZzK7+2hJGA8p0SDg==" /><input type="hidden" name="project_id" id="project_id" value="6049" />
<input type="hidden" name="hide_label" id="hide_label" value="true" />
<div class="row">
<div class="col-lg-4">
<h4 class="prepend-top-0">Notification events</h4>
<p>
Custom notification levels are the same as participating levels. With custom notification levels you will also receive notifications for select events. To find out more, check out <a target="_blank" href="/help/user/profile/notifications">notification emails</a>.
</p>
</div>
<div class="col-lg-8">
<div class="form-group">
<div class="form-check prepend-top-0">
<input name="notification_setting[new_release]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[new_release]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[new_release]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[new_release]">
<strong>
New release
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[new_note]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[new_note]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[new_note]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[new_note]">
<strong>
New note
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[new_issue]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[new_issue]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[new_issue]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[new_issue]">
<strong>
New issue
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[reopen_issue]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[reopen_issue]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[reopen_issue]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[reopen_issue]">
<strong>
Reopen issue
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[close_issue]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[close_issue]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[close_issue]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[close_issue]">
<strong>
Close issue
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[reassign_issue]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[reassign_issue]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[reassign_issue]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[reassign_issue]">
<strong>
Reassign issue
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[issue_due]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[issue_due]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[issue_due]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[issue_due]">
<strong>
Issue due
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[new_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[new_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[new_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[new_merge_request]">
<strong>
New merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[push_to_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[push_to_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[push_to_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[push_to_merge_request]">
<strong>
Push to merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[reopen_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[reopen_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[reopen_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[reopen_merge_request]">
<strong>
Reopen merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[close_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[close_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[close_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[close_merge_request]">
<strong>
Close merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[reassign_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[reassign_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[reassign_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[reassign_merge_request]">
<strong>
Reassign merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[merge_merge_request]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[merge_merge_request]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[merge_merge_request]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[merge_merge_request]">
<strong>
Merge merge request
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[failed_pipeline]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[failed_pipeline]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" checked="checked" name="notification_setting[failed_pipeline]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[failed_pipeline]">
<strong>
Failed pipeline
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
<div class="form-group">
<div class="form-check">
<input name="notification_setting[success_pipeline]" type="hidden" value="0" /><input id="modal-2648-6049-Project_notification_setting[success_pipeline]" class="js-custom-notification-event form-check-input" type="checkbox" value="1" name="notification_setting[success_pipeline]" />
<label class="form-check-label" for="modal-2648-6049-Project_notification_setting[success_pipeline]">
<strong>
Successful pipeline
<div class="fa custom-notification-event-loading spinner"></div>
</strong>
</label>
</div>
</div>
</div>
</div>
</form></div>
</div>
</div>
</div>
</div>


</body>
</html>

